Kubuntu 15.04 - Unable to install

Almost any Unix workstation with GTK+ 2.0 and above.
naskoistaken
New MMEX User
Posts: 11
Joined: Wed Aug 19, 2015 10:02 am
Are you a spam bot?: No

Kubuntu 15.04 - Unable to install

Post by naskoistaken »

Hello,

I'm not able to install mmex_1.1.0_amd64.deb because of 'unmet dependencies'. When I try to build from source, the make command exits with an error:

Code: Select all

vis@vis-16:/storage/installs/moneymanagerex-1.2.2/release$ make
make: *** No rule to make target '../lib/wxsqlite3/src/wxsqlite3.cpp', needed by 'wxsqlite_wxsqlite3.o'.  Stop.
I read somewhere, that i needed to execute:

Code: Select all

git submodule update --init
... but it won't work because:

Code: Select all

fatal: Not a git repository (or any parent up to mount point /storage)
Stopping at filesystem boundary (GIT_DISCOVERY_ACROSS_FILESYSTEM not set).
And yet, the lib/wxsqlite3 folder is empty.

This is frustrating for me, as I'm not able to install mmex in whatever manner on Kubuntu 15.04 :-(

Nikolay
MMEX Developer
Posts: 1300
Joined: Sat Dec 06, 2008 2:27 pm
Are you a spam bot?: No
Location: Sankt-Petersburg, Russia

Re: Kubuntu 15.04 - Unable to install

Post by Nikolay »


naskoistaken
New MMEX User
Posts: 11
Joined: Wed Aug 19, 2015 10:02 am
Are you a spam bot?: No

Re: Kubuntu 15.04 - Unable to install

Post by naskoistaken »

Nikolay wrote:Please try the next instructions:
https://sourceforge.net/p/moneymanagere ... 9%20Linux/
Hi,

Thanks indeed for your timely feedback!

Unfortunately I encountered unmet dependencies for this package:

webkitgtk-3.0

I've attached the console log for further reference.

My system:

Kubuntu 15.04

KDE Plasma version: 5.2.2
Qt version: 5.4.1
Kernel version: 3.19.0-25-generic
OS Type: 64-bit

Kind regards,
Nasko
Attachments
mmex-dependencies-console.log
(16.68 KiB) Downloaded 310 times

Nikolay
MMEX Developer
Posts: 1300
Joined: Sat Dec 06, 2008 2:27 pm
Are you a spam bot?: No
Location: Sankt-Petersburg, Russia

Re: Kubuntu 15.04 - Unable to install

Post by Nikolay »

Ubuntu 14.04
sudo apt-get install libwebkitgtk-dev

naskoistaken
New MMEX User
Posts: 11
Joined: Wed Aug 19, 2015 10:02 am
Are you a spam bot?: No

Re: Kubuntu 15.04 - Unable to install

Post by naskoistaken »

Nikolay wrote:Ubuntu 14.04
sudo apt-get install libwebkitgtk-dev
This one went fine, but then sudo apt-get install webkitgtk-3.0 failed again. Attached is the console dump.
Attachments
mmex-dependencies-2-console.log
(15.16 KiB) Downloaded 335 times

naskoistaken
New MMEX User
Posts: 11
Joined: Wed Aug 19, 2015 10:02 am
Are you a spam bot?: No

Re: Kubuntu 15.04 - Unable to install

Post by naskoistaken »

Is it quite difficult to prepare a DEB package for Ubuntu 15.04?

Sorry for what might be construed as pushy attitude, but are you really going to ignore *buntu 15.04 users?
I've been using Money Manager EX for almost two years now, and suddenly there isn't a DEB package, once that I've upgraded my OS to Kubuntu 15.04. I'm effectively limited to using MMEX on my smartphone only.

Apart from my specific issues, thanks for all the efforts you've been putting into this project!

awatter
New MMEX User
Posts: 2
Joined: Mon Jul 20, 2015 8:37 am
Are you a spam bot?: No

Re: Kubuntu 15.04 - Unable to install

Post by awatter »

I'm having similar issues on Linux. I am also using Kubuntu 15.04 but I don't think the problem is limited to KDE or 15.04
The DEB package hasn't worked for some time now and the build instructions will only build the development version. I would rather have a stable release.

I have also been limited to only using mmex on my phone.

regards,
Adrian.

naskoistaken
New MMEX User
Posts: 11
Joined: Wed Aug 19, 2015 10:02 am
Are you a spam bot?: No

Re: Kubuntu 15.04 - Unable to install

Post by naskoistaken »

I guess what's happening here is normal for open source noncommercial projects - the developer offered  several hints and when none worked for me, the communication was forwarded to /dev/null. That's why I've configured my Paypal account to issue a small donation - a couple of bucks - on a monthly basis. This way I hope I'll probably have more grounds to ask for support in half an year or so. You see, I like MMEX pretty much to just ditch it. I'm sure, there'll be eventually a DEB package even for the top-notch Kubuntu releases. In a couple of weeks I hope I'll be upgrading my OS to Kubuntu 15.10...

Nikolay
MMEX Developer
Posts: 1300
Joined: Sat Dec 06, 2008 2:27 pm
Are you a spam bot?: No
Location: Sankt-Petersburg, Russia

Re: Kubuntu 15.04 - Unable to install

Post by Nikolay »

When I used Linux, I prepared packages. It was my donation.
Now I don't use any Linux and can't prepare any pkg.
Seems nobody in Ubuntu community can make DEB package.
Sadness.

User avatar
phira
Super MMEX User
Posts: 56
Joined: Sat Dec 03, 2011 7:53 am
Are you a spam bot?: No
Location: Tournai, Belgium
Contact:

Re: Kubuntu 15.04 - Unable to install

Post by phira »

Nikolay wrote:When I used Linux, I prepared packages. It was my donation.
Now I don't use any Linux and can't prepare any pkg.
Seems nobody in Ubuntu community can make DEB package.
Sadness.
hello Nikolay.

you know wall how I love your work and I made my part of donation in translating
I used mmex for years
does you answer mean that there will be no more development nor support for ubuntu?
it is absolutely your right as conceptor and owner of the software
if so, please tell us because here and now after a disk crash I am unabble to reinstall MMEx on 15.04  and thus I am unable to manage the money of muy association.
if your choice is " there will be no more development for ubuntu cause I don't use it anymore" please tell me asap because I have to search for another solution
... and manually re-input years of transactions
Finance administrator for a non profit association ( Plumes et Calames ASBL )

Post Reply